diff --git a/package-lock.json b/package-lock.json
index d7ea0e16..e8137785 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -14,7 +14,7 @@
 			"devDependencies": {
 				"@types/bindings": "^1.5.5",
 				"@types/jest": "^29.5.11",
-				"@types/node": "^20.10.6",
+				"@types/node": "^20.10.7",
 				"@types/yargs": "^17.0.32",
 				"@typescript-eslint/eslint-plugin": "^6.18.0",
 				"eslint": "^8.56.0",
@@ -1488,9 +1488,9 @@
 			"dev": true
 		},
 		"node_modules/@types/node": {
-			"version": "20.10.6",
-			"resolved": "https://registry.npmjs.org/@types/node/-/node-20.10.6.tgz",
-			"integrity": "sha512-Vac8H+NlRNNlAmDfGUP7b5h/KA+AtWIzuXy0E6OyP8f1tCLYAtPvKRRDJjAPqhpCb0t6U2j7/xqAuLEebW2kiw==",
+			"version": "20.10.7",
+			"resolved": "https://registry.npmjs.org/@types/node/-/node-20.10.7.tgz",
+			"integrity": "sha512-fRbIKb8C/Y2lXxB5eVMj4IU7xpdox0Lh8bUPEdtLysaylsml1hOOx1+STloRs/B9nf7C6kPRmmg/V7aQW7usNg==",
 			"dependencies": {
 				"undici-types": "~5.26.4"
 			}
@@ -10268,7 +10268,7 @@
 			},
 			"devDependencies": {
 				"@types/bindings": "^1.5.5",
-				"@types/node": "^20.10.6",
+				"@types/node": "^20.10.7",
 				"clang-format": "^1.8.0",
 				"prebuild": "^12.1.0"
 			},
@@ -10310,7 +10310,7 @@
 				"@types/babel__core": "^7.20.5",
 				"@types/istanbul-lib-hook": "^2.0.4",
 				"@types/istanbul-lib-instrument": "^1.7.7",
-				"@types/node": "^20.10.6",
+				"@types/node": "^20.10.7",
 				"@types/proper-lockfile": "^4.1.4",
 				"@types/source-map-support": "^0.5.10",
 				"typescript": "^5.3.3"
@@ -11058,7 +11058,7 @@
 			"version": "file:packages/fuzzer",
 			"requires": {
 				"@types/bindings": "^1.5.5",
-				"@types/node": "^20.10.6",
+				"@types/node": "^20.10.7",
 				"bindings": "^1.5.0",
 				"clang-format": "^1.8.0",
 				"cmake-js": "^7.2.1",
@@ -11084,7 +11084,7 @@
 				"@types/babel__core": "^7.20.5",
 				"@types/istanbul-lib-hook": "^2.0.4",
 				"@types/istanbul-lib-instrument": "^1.7.7",
-				"@types/node": "^20.10.6",
+				"@types/node": "^20.10.7",
 				"@types/proper-lockfile": "^4.1.4",
 				"@types/source-map-support": "^0.5.10",
 				"istanbul-lib-hook": "^3.0.0",
@@ -11550,9 +11550,9 @@
 			"dev": true
 		},
 		"@types/node": {
-			"version": "20.10.6",
-			"resolved": "https://registry.npmjs.org/@types/node/-/node-20.10.6.tgz",
-			"integrity": "sha512-Vac8H+NlRNNlAmDfGUP7b5h/KA+AtWIzuXy0E6OyP8f1tCLYAtPvKRRDJjAPqhpCb0t6U2j7/xqAuLEebW2kiw==",
+			"version": "20.10.7",
+			"resolved": "https://registry.npmjs.org/@types/node/-/node-20.10.7.tgz",
+			"integrity": "sha512-fRbIKb8C/Y2lXxB5eVMj4IU7xpdox0Lh8bUPEdtLysaylsml1hOOx1+STloRs/B9nf7C6kPRmmg/V7aQW7usNg==",
 			"requires": {
 				"undici-types": "~5.26.4"
 			}
diff --git a/package.json b/package.json
index 0b372009..49efcd46 100644
--- a/package.json
+++ b/package.json
@@ -41,7 +41,7 @@
 	"devDependencies": {
 		"@types/bindings": "^1.5.5",
 		"@types/jest": "^29.5.11",
-		"@types/node": "^20.10.6",
+		"@types/node": "^20.10.7",
 		"@types/yargs": "^17.0.32",
 		"@typescript-eslint/eslint-plugin": "^6.18.0",
 		"eslint": "^8.56.0",
diff --git a/packages/fuzzer/package.json b/packages/fuzzer/package.json
index 5089fb15..8bd4d474 100644
--- a/packages/fuzzer/package.json
+++ b/packages/fuzzer/package.json
@@ -35,7 +35,7 @@
 	},
 	"devDependencies": {
 		"@types/bindings": "^1.5.5",
-		"@types/node": "^20.10.6",
+		"@types/node": "^20.10.7",
 		"clang-format": "^1.8.0",
 		"prebuild": "^12.1.0"
 	},
diff --git a/packages/instrumentor/package.json b/packages/instrumentor/package.json
index 77b4962b..2f70f1e2 100644
--- a/packages/instrumentor/package.json
+++ b/packages/instrumentor/package.json
@@ -29,7 +29,7 @@
 		"@types/babel__core": "^7.20.5",
 		"@types/istanbul-lib-hook": "^2.0.4",
 		"@types/istanbul-lib-instrument": "^1.7.7",
-		"@types/node": "^20.10.6",
+		"@types/node": "^20.10.7",
 		"@types/proper-lockfile": "^4.1.4",
 		"@types/source-map-support": "^0.5.10",
 		"typescript": "^5.3.3"
